Subject: Re: linux-next: build warning after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Jul 2018 15:29:40 +1000

Hi Guenter,

On Wed, 18 Jul 2018 20:52:56 -0700 Guenter Roeck <[email-masked]> wrote:
>
> On 07/18/2018 07:04 PM, Stephen Rothwell wrote:
> > 
> > After merging the net-next tree, today's linux-next build (x86_64
> > allmodconfig) produced this warning:
> > 
> > *
> > * Restart config...
> > *
> > ....
> > 
> > This is output by my "make allmodconfig" and only started after merging
> > the net-next tree today.  It has continued for further merges/builds.
> > 
> > I suspect commit
> > 
> >    1323061a018a ("net: phy: sfp: Add HWMON support for module sensors")
> > 
> > which added an "imply" clause.
> >   
> I thought "imply" was better than "depends on HWMON || HWMON=n", but maybe
> not. Is that a caveat when using "imply", and does it mean that "imply"
> should better not be used ?

I don't know, sorry.  It was just my best guess from what I could see
had changed.

I wonder if it makes a difference that I am doing my "make
allmodconfig" on top of a previous "make allmodconfig" and some symbols
are marked as "NEW" (though they are not symbols related to the changes
that happened during the net-next tree merge)?
-- 
Cheers,
Stephen Rothwell